#include "portaudio.h"
typedef struct
{
	ParamBlockRec	io;
	long theA5;
}	ParmBlockA5;

typedef ParmBlockA5 *ParmBlockA5Ptr;

typedef struct
{
	PaError	init;
	Boolean fileRead;
	Boolean looped;
	long numChannels;
	long done;
	double timeFactor;
	double gain;
	PortAudioStream *stream;
	ParmBlockA5Ptr inSParmBlk;	
	PaSampleFormat	sampleFormat;
	long	bufferPos;
	long	startPosition;
	long	endPosition;
	double	startTime;
	double	endTime;
	long	framesPerRead;
	long	bytesPerRead;
	long	tickStart;
	char	*fileBlock;
	short	*shortBlock;
	long	*longBlock;
	float	*floatBlock;
}	PAPlayInfo;


Boolean	StartPAPlay(SoundInfo *mySI, double startTime, double endTime);
float	GetPAPlayTime();
void	StopPAPlay(Boolean wait);
int PAPlayCallback(void *inputBuffer, void *outputBuffer, unsigned long framesPerBuffer,
				PaTimestamp outTime, void *userData );
pascal void DecompressBlock (ParmBlkPtr paramBlock);
void PASuperAllocate();
void PASuperDeallocate();

