/*
 * SimpApp.h - defines, typedefs and prototypes for SimpApp.
 */

/*
 * File Manager Defines.
 */
#define	NIL_POINTER		0L
#define	NIL_STRING		"\p"
#define	IGNORED_STRING	NIL_STRING
#define	NIL_FILE_FILTER	NIL_POINTER
#define	NIL_DIALOG_HOOK	NIL_POINTER
#define NOTE_WIND			128

#define	MOVE_TO_FRONT		-1L
#define FUNCTIONSIZE		400L

#define ON					1
#define OFF					0

#define	STEREO				2
#define	MONO				1


/*
 * Function prototypes
 */
void 	SetUpDragRect(void);
void	SetUpSizeRect(void);
void	RoutineDesInit(void);
void	main();
void	ToolBoxInit();
Boolean	CapabilityCheck();
void	DialogInit();
void	GlobalInit();
void	MainLoop();
void	HandleEvent();
void	HandleMouseDown();

